import { jsx } from "react/jsx-runtime";
import "react";
import { FileTextOutlined } from "@ant-design/icons";
import { useTranslation } from "react-i18next";
import { SchemaInitializerItem, useSchemaInitializer, useSchemaInitializerItem } from "../../../../application/index.mjs";
const MarkdownBlockInitializer = ()=>{
    const { insert } = useSchemaInitializer();
    const { t } = useTranslation();
    const itemConfig = useSchemaInitializerItem();
    return /*#__PURE__*/ jsx(SchemaInitializerItem, {
        ...itemConfig,
        icon: /*#__PURE__*/ jsx(FileTextOutlined, {}),
        onClick: ()=>{
            insert({
                type: 'void',
                'x-settings': 'blockSettings:markdown',
                'x-decorator': 'CardItem',
                'x-decorator-props': {
                    name: 'markdown'
                },
                'x-component': 'Markdown.Void',
                'x-editable': false,
                'x-component-props': {
                    content: t('This is a demo text, **supports Markdown syntax**.')
                }
            });
        }
    });
};
export { MarkdownBlockInitializer };
